Bug 19841 - cannot read cd: medium type error
Summary: cannot read cd: medium type error
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: cdda2wav (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-26 02:45 UTC by j. alan eldridge
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-26 12:10:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against cdrtools-1.10a4 (10.24 KB, patch)
2000-10-26 02:48 UTC, j. alan eldridge
no flags Details | Diff

Description j. alan eldridge 2000-10-26 02:45:55 UTC
cdda2wav does not open an ATAPI cdrom with O_NONBLK. the 2.2 kernel code
requires this flag or else a medium type error results, along with a syslog
error stating that the device must be opened non-blocking.

Comment 1 j. alan eldridge 2000-10-26 02:48:01 UTC
Created attachment 4673 [details]
patch against cdrtools-1.10a4

Comment 2 j. alan eldridge 2000-10-26 02:51:50 UTC
this patch works by unifying the ifdefs used to identify a linux system. gcc
supplies the identifier "linux"; the patch changes all conditional compilation
tests to test against this identifier.

the 1.10a4 release is available from:

ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/alpha/cdrtools-1.10a4.tar.gz

i will submit a patch against the source used in RH7 within a day or two.

Comment 3 Crutcher Dunnavant 2001-06-26 04:15:17 UTC
ok


Note You need to log in before you can comment on or make changes to this bug.